ITEMS = {
	[0] = {
		name = ""
	}, 

	[1] = {
		name = "[1]Cheese chips", 
		article = "an", 
		desc = "So delicious! HP+6/8!", 
		r = 255, g = 255, b = 255, 
		action = "eat", 
		food = function() return math.random(6,8) end, 
		fimage = "gfx/azerin/items/10eats/food1.png", 
		func = eat,
	}, 

	[2] = {
		name = "[1]Torch",
		plural = "torches", 
		desc = "Allows you to see clearly in the dark.",
		r = 191, g = 213, b = 128,
		action = "hold", 
		slot = 8, 
		fimage = "gfx/weiwen/torch.png",
		eimage = "gfx/sprites/flare3.bmp",
		escalex = 3, 
		escaley = 3, 
		blend = 1, 
		static = 1, 
		func = equip,
	}, 

	[3] = {
		name = "[1]Hourglass", 
		plural = "hourglasses", 
		article = "an", 
		r = 180, g = 180, b = 180, 
		action = {"wear","check time"}, 
		slot = 8, 
		func = {equip, function(id) msg2(id,ITEMS[3].desc) end},
	}, 

	[4] = {
		name = "[1]Pepper chips", 
		desc = "So delicious! HP+6/8!", 
		r = 255, g = 255, b = 255, 
		action = "eat", 
		food = function() return math.random(6,8) end, 
		fimage = "gfx/azerin/items/10eats/food2.png", 
		func = eat,
	}, 

	[5] = {
		name = "[1]Onion chips", 
		desc = "So delicious! HP+4/5!", 
		action = "eat", 
		food = function() return math.random(6,8) end, 
		fimage = "gfx/azerin/items/10eats/food3.png", 
		func = eat,
	}, 

	[6] = {
		name = "[1]Small potion", 
		desc = "Renews from 5 to 15 health.", 
		action = "drink", 
		food = function() return math.random(5,15) end, 
		fimage = "gfx/Azerin/items/9potions/hp1.png", 
		func = drink,
	}, 

	[7] = {
		name = "[1]Medium potion", 
		desc = "Renews from 15 to 20 health.", 
		action = "drink", 
		food = function() return math.random(15,20) end, 
		fimage = "gfx/Azerin/items/9potions/hp2.png", 
		func = drink,
	}, 

	[8] = {
		name = "[1]Big potion", 
		desc = "Renews from 20 to 30 health.", 
		action = "drink", 
		food = function() return math.random(20,30) end, 
		fimage = "gfx/Azerin/items/9potions/hp3.png", 
		func = drink,
	},

	[9] = {
		name = "[1]Apple", 
		desc = "So tasty! HP+4/5!", 
		action = "eat", 
		food = function() return math.random(4,5) end, 
		fimage = "gfx/Azerin/items/10eats/apple.png", 
		func = eat,
	},

	[10] = {
		name = "[1]Bread", 
		desc = "So tasty! HP+4/5!", 
		action = "eat", 
		food = function() return math.random(4,5) end, 
		fimage = "gfx/Azerin/items/10eats/bread.png", 
		func = eat,
	},

	[11] = {
		name = "[1]Cheese", 
		desc = "So tasty! HP+4/5!", 
		action = "eat", 
		food = function() return math.random(4,5) end, 
		fimage = "gfx/Azerin/items/10eats/cheese.png", 
		func = eat,
	},

	[12] = {
		name = "[1]Cola", 
		desc = "So tasty! HP+9/11!", 
		action = "eat", 
		food = function() return math.random(7,9) end, 
		fimage = "gfx/Azerin/items/10eats/food5.png", 
		func = eat,

	},

	[13] = {
		name = "[1]Cookies", 
		desc = "Delicious! HP+9/11!", 
		action = "drink", 
		food = function() return math.random(7,9) end, 
		fimage = "gfx/Azerin/items/10eats/food6.png", 
		func = eat,
	},

	[14] = {
		name = "[1]Chocolate cake", 
		desc = "Nomnom! HP+9/11!", 
		action = "eat", 
		food = function() return math.random(7,9) end, 
		fimage = "gfx/Azerin/items/10eats/food4.png", 
		func = eat,
	},

	[15] = {
		name = "[1]Weeding cake", 
		desc = "Love! HP+7/9!", 
		action = "eat", 
		food = function() return math.random(7,9) end, 
		fimage = "gfx/Azerin/items/10eats/food8.png", 
		func = eat,

	},

	[16] = {
		name = "[1]Magic cookie man", 
		desc = "Love! HP+10/11!", 
		action = "eat", 
		food = function() return math.random(10,11) end, 
		fimage = "gfx/Azerin/items/10eats/1.png", 
		func = eat,

	},

	[17] = {
		name = "[1]Cookie man", 
		desc = "Love! HP+8/9!", 
		action = "eat", 
		food = function() return math.random(8,9) end, 
		fimage = "gfx/Azerin/items/10eats/5.png", 
		func = eat,

	},

	[18] = {
		name = "[1]Cookie girl", 
		desc = "Love! HP+8/9!", 
		action = "eat", 
		food = function() return math.random(8,9) end, 
		fimage = "gfx/Azerin/items/10eats/3.png", 
		func = eat,

	},

	[19] = {
		name = "[1]Sad chocolate bear", 
		desc = "Love! HP+8/9!", 
		action = "eat", 
		food = function() return math.random(8,9) end, 
		fimage = "gfx/Azerin/items/10eats/2.png", 
		func = eat,

	},

	[20] = {
		name = "[1]Bag of sweets", 
		desc = "Love! HP+8/9!", 
		action = "eat", 
		food = function() return math.random(8,9) end, 
		fimage = "gfx/Azerin/items/10eats/4.png", 
		func = eat,

	},

	[21] = {
		name = "[1]Pizza", 
		desc = "Love! HP+8/9!", 
		action = "eat", 
		food = function() return math.random(8,9) end, 
		fimage = "gfx/Azerin/items/10eats/11.png", 
		func = eat,

	},

	[22] = {
		name = "[1]Water", 
		desc = "Love! HP+8/9!", 
		action = "drink", 
		food = function() return math.random(8,9) end, 
		fimage = "gfx/Azerin/items/10eats/water.png", 
		func = drink,

	},

	[23] = {
		name = "[1]Chicken leg", 
		desc = "Love! HP+8/9!", 
		action = "eat", 
		food = function() return math.random(8,9) end, 
		fimage = "gfx/Azerin/items/10eats/10.png", 
		func = eat,

	},

	[24] = {
		name = "[1]Candy-floss", 
		desc = "Love! HP+8/9!", 
		action = "eat", 
		food = function() return math.random(8,9) end, 
		fimage = "gfx/Azerin/items/10eats/13.png", 
		func = eat,

	},

	[100] = {
		name = "[1]Fire spell Lv.1", 
		desc = "You may only use it once.", 
		r = 255, g = 255, b = 255, 
		action = {"cast","hold"}, 
		slot = 9, 
		fimage = "gfx/azerin/spell1.png", 
		func = {function(id,itemslot,itemid,equip)
			radiusmsg(player(id,"name") .. " casts a fireball rune.", player(id,"x"), player(id,"y"))
			explosion(player(id, "x"), player(id,"y"), 64, 15, id)
			local pos = player(id,"x") .. " " .. player(id,"y")
			parse("effect \"colorsmoke\" " .. pos .. " 255 0 0 0 0;")
			parse("effect \"colorsmoke\" " .. pos .. " 255 0 0 0 0")
			destroyitem(id, itemslot, equip)
		end,equip},
	},

	[101] = {
		name = "[1]Electric spell Lv.1", 
		desc = "You may only use it once.", 
		r = 255, g = 255, b = 255, 
		action = {"cast","hold"}, 
		slot = 9, 
		fimage = "gfx/azerin/spell2.png", 
		func = {function(id,itemslot,itemid,equip)
			radiusmsg(player(id,"name") .. " casts a waterball rune.", player(id,"x"), player(id,"y"))
			explosion(player(id, "x"), player(id,"y"), 64, 15, id)
			local pos = player(id,"x") .. " " .. player(id,"y")
			parse("effect \"colorsmoke\" " .. pos .. " 100 64 255 255 0")
			parse("effect \"colorsmoke\" " .. pos .. " 75 64 255 255 255")
			destroyitem(id, itemslot, equip)
		end,equip},
	},

	[102] = {
		name = "[1]Nature spell Lv.1", 
		desc = "An electrical attack that may paralyze the foe.",  
		r = 255, g = 255, b = 0, 
		action = {"cast","hold"}, 
		slot = 9, 
		fimage = "gfx/azerin/spell3.png", 
		func = {function(id,itemslot,itemid,equip)
			radiusmsg(player(id,"name") .. " casts a thundershock rune.", player(id,"x"), player(id,"y"))
			explosion(player(id, "x"), player(id,"y"), 64, 15, id)
			local pos = player(id,"x") .. " " .. player(id,"y")
			parse("effect \"colorsmoke\" " .. pos .. " 0 255 0 0 0")
			parse("effect \"colorsmoke\" " .. pos .. " 0 255 0 0 0")
			destroyitem(id, itemslot, equip)
		end,equip},
	},

	[103] = {
		name = "[1]Ice spell Lv.1", 
		desc = "An electrical attack that may paralyze the foe.",  
		r = 255, g = 255, b = 255, 
		action = {"cast","hold"}, 
		slot = 9, 
		fimage = "gfx/azerin/spell4.png", 
		func = {function(id,itemslot,itemid,equip)
			radiusmsg(player(id,"name") .. " casts a thundershock rune.", player(id,"x"), player(id,"y"))
			explosion(player(id, "x"), player(id,"y"), 64, 15, id)
			local pos = player(id,"x") .. " " .. player(id,"y")
			parse("effect \"colorsmoke\" " .. pos .. " 100 64 255 255 255")
			parse("effect \"colorsmoke\" " .. pos .. " 75 64 128 128 255")
			destroyitem(id, itemslot, equip)
		end,equip},
	},

	[200] = {
		name = "Blue bed",
		desc = "Used to furnish your house.",
		fimage = "gfx/Azerin/items/98furniture/bluebed.png", 
		offsety = 16,
		heal = 5, 
		r = 255, g = 255, b = 255,
	},

	[201] = {
		name = "Green bed",
		desc = "Used to furnish your house.",
		fimage = "gfx/Azerin/items/98furniture/greenbed.png", 
		offsety = 16,
		heal = 5, 
		r = 255, g = 255, b = 255,
	},

	[202] = {
		name = "Red bed",
		desc = "Used to furnish your house.",
		fimage = "gfx/Azerin/items/98furniture/redbed.png", 
		offsety = 16,
		heal = 5, 
		r = 255, g = 255, b = 255,
	},

	[203] = {
		name = "[Luxury]Tedybear bed",
		desc = "Used to furnish your house.",
		fimage = "gfx/weiwen/bed.png", 
		offsety = 16,
		heal = 5, 
		r = 255, g = 255, b = 255,
	},

	[204] = {
		name = "Red royal chair",
		desc = "Used to furnish your house.",
		fimage = "gfx/Azerin/items/98furniture/chair1.png", 
		r = 255, g = 255, b = 255,
		rot = 0,
		heal = 3, 
		action = "rotate|South", 
		func = function(id,itemslot,itemid) PLAYERS[id].Inventory[itemslot] = ((itemid-209)%4)+210; itemactions(id,itemslot) end,
	},

	[205] = {
		name = "Red royal chair",
		desc = "Used to furnish your house.",
		fimage = "gfx/Azerin/items/98furniture/chair1.png", 
		r = 255, g = 255, b = 255,
		rot = 90,
		heal = 3, 
		action = "rotate|West", 
		func = function(id,itemslot,itemid) PLAYERS[id].Inventory[itemslot] = ((itemid-209)%4)+210; itemactions(id,itemslot) end,
	},

	[206] = {
		name = "Red loyal chair",
		desc = "Used to furnish your house.",
		fimage = "gfx/Azerin/items/98furniture/chair1.png", 
		rot = 180,
		heal = 3, 
		r = 255, g = 255, b = 255,
		action = "rotate|North", 
		func = function(id,itemslot,itemid) PLAYERS[id].Inventory[itemslot] = ((itemid-209)%4)+210; itemactions(id,itemslot) end,
	},

	[207] = {
		name = "Red loyal chair",
		desc = "Used to furnish your house.",
		fimage = "gfx/Azerin/items/98furniture/chair1.png", 
		rot = 270,
		heal = 3, 
		r = 255, g = 255, b = 255,
		action = "rotate|East", 
		func = function(id,itemslot,itemid) PLAYERS[id].Inventory[itemslot] = ((itemid-209)%4)+210; itemactions(id,itemslot) end,
	},

	[208] = {
		name = "Purple guest chair",
		desc = "Used to furnish your house.",
		fimage = "gfx/Azerin/items/98furniture/chair2.png", 
		r = 255, g = 255, b = 255,
		rot = 0,
		heal = 3, 
		action = "rotate|South", 
		func = function(id,itemslot,itemid) PLAYERS[id].Inventory[itemslot] = ((itemid-213)%4)+214; itemactions(id,itemslot) end,
	},

	[209] = {
		name = "Purple guest chair",
		desc = "Used to furnish your house.",
		fimage = "gfx/Azerin/items/98furniture/chair2.png", 
		r = 255, g = 255, b = 255,
		rot = 90,
		heal = 3, 
		action = "rotate|West", 
		func = function(id,itemslot,itemid) PLAYERS[id].Inventory[itemslot] = ((itemid-213)%4)+214; itemactions(id,itemslot) end,
	},

	[210] = {
		name = "Purple guest chair",
		desc = "Used to furnish your house.",
		fimage = "gfx/Azerin/items/98furniture/chair2.png", 
		rot = 180,
		heal = 3, 
		r = 255, g = 255, b = 255,
		action = "rotate|North", 
		func = function(id,itemslot,itemid) PLAYERS[id].Inventory[itemslot] = ((itemid-213)%4)+214; itemactions(id,itemslot) end,
	},

	[211] = {
		name = "Purple guest chair",
		desc = "Used to furnish your house.",
		fimage = "gfx/Azerin/items/98furniture/chair2.png", 
		rot = 270,
		heal = 3, 
		r = 169, g = 106, b = 44,
		action = "rotate|East", 
		func = function(id,itemslot,itemid) PLAYERS[id].Inventory[itemslot] = ((itemid-213)%4)+214; itemactions(id,itemslot) end,
	},

	[212] = {
		name = "Small wood table",
		desc = "Used to furnish your house.",
		fimage = "gfx/Azerin/items/98furniture/table1.png", 
		r = 255, g = 255, b = 255,
	},

	[213] = {
		name = "Big decorative table",
		desc = "Used to furnish your house.",
		fimage = "gfx/Azerin/items/98furniture/chair2.png", 
		r = 255, g = 255, b = 255,
	},

	[220] = {
		name = "Kitten doll",
		desc = "Used to furnish your house.",
		fimage = "gfx/azerin/items/0neutral/doll1.png", 
	},

	[221] = {
		name = "Party teddy bear doll",
		desc = "Used to furnish your house.",
		fimage = "gfx/azerin/items/0neutral/doll2.png", 
	},

	[222] = {
		name = "Puppy doll",
		desc = "Used to furnish your house.",
		fimage = "gfx/azerin/items/0neutral/doll3.png", 
	},

	[223] = {
		name = "Pink seal doll",
		desc = "Used to furnish your house.",
		fimage = "gfx/azerin/items/0neutral/doll4.png", 
	},

	[224] = {
		name = "Little girl doll",
		desc = "Used to furnish your house.",
		fimage = "gfx/azerin/items/0neutral/doll5.png", 
	},

	[225] = {
		name = "Teddy bear doll",
		desc = "Used to furnish your house.",
		fimage = "gfx/azerin/items/0neutral/doll6.png", 
	},

	[226] = {
		name = "Cute insect doll",
		desc = "Used to furnish your house.",
		fimage = "gfx/azerin/items/0neutral/doll7.png", 
	},
	
	[230] = {
		name = "coin", 
		desc = "Heads or tails?", 
		r = 255, g = 200, b = 0, 
		action = "flip", 
		fimage = "gfx/weiwen/circle.png", 
		func = function(id,itemslot,itemid)
			if PLAYERS[id].tmp.exhaust.use then
				return
			end
			PLAYERS[id].tmp.exhaust.use = true
			timer(CONFIG.EXHAUST.USE, rem.useExhaust, id)
			radiusmsg(player(id,"name") .. " flips a coin. " .. ((math.random(2) == 1) and "Heads!" or "Tails!"), player(id,"x"), player(id,"y"))
		end,
	}, 
	
	[231] = {
		name = "dice", 
		desc = "1d6.",
		r = 255, g = 192, b = 128, 
		action = "roll", 
		fimage = "gfx/weiwen/table.png", 
		fscalex = 0.5, 
		fscaley = 0.5, 
		func = function(id,itemslot,itemid)
			if PLAYERS[id].tmp.exhaust.use then
				return
			end
			PLAYERS[id].tmp.exhaust.use = true
			timer(CONFIG.EXHAUST.USE, rem.useExhaust, id)
			radiusmsg(player(id,"name") .. " rolls a " .. math.random(1, 6) .. ".", player(id,"x"), playerw(id,"y"))
		end,
	}, 

	[232] = {
		name = "Red diamond",
		desc = "It is shining!",
		fimage = "gfx/azerin/items/0neutral/crystal1.png", 
	},

	[233] = {
		name = "Orange diamond",
		desc = "It is shining!",
		fimage = "gfx/azerin/items/0neutral/crystal2.png", 
	},

	[234] = {
		name = "Yellow diamond",
		desc = "It is shining!",
		fimage = "gfx/azerin/items/0neutral/crystal3.png", 
	},

	[235] = {
		name = "Green diamond",
		desc = "It is shining!",
		fimage = "gfx/azerin/items/0neutral/crystal4.png", 
	},

	[236] = {
		name = "Blue diamond",
		desc = "It is shining!",
		fimage = "gfx/azerin/items/0neutral/crystal5.png", 
	},

	[237] = {
		name = "Purple diamond",
		desc = "It is shining!",
		fimage = "gfx/azerin/items/0neutral/crystal6.png", 
	},

	[238] = {
		name = "Pink diamond",
		desc = "It is shining!",
		fimage = "gfx/azerin/items/0neutral/crystal7.png", 

	}, 

	[239] = {
		name = "Ice rune",
		desc = "???",
		fimage = "gfx/azerin/items/0neutral/icerune.png", 

	}, 

	[240] = {
		name = "Ice cube",
		desc = "???",
		fimage = "gfx/azerin/items/0neutral/icecube.png", 
	},

	[300] = {
		name = "[1]Leather helmet", 
		desc = "Attack:0, Speed:0, Deff.:1,",  
		r = 128, g = 64, b = 0, 
		action = "equip", 
		slot = 1, 
		eimage = "gfx/Azerin/items/1helmet/helmet.png", 
		fimage = "gfx/Azerin/items/1helmet/helmet.png", 
		def = 1, 
		speed = 0,
		level = 1, 
		func = equip,
	},

	[301] = {
		name = "[1]Leather armour", 
		desc = "Attack:0, Speed:0, Deff.:3,",  
		r = 128, g = 64, b = 0, 
		action = "equip", 
		slot = 2, 
		eimage = "gfx/Azerin/items/2armour/armour.png", 
		fimage = "gfx/Azerin/items/2armour/farmour.png", 
		def = 3, 
		speed = 0,
		level = 1, 
		func = equip,
	},

	[302] = {
		name = "[1]Leather legs", 		
		desc = "Attack:0, Speed:0, Deff.:2,",  
		r = 128, g = 64, b = 0, 
		action = "equip", 
		slot = 5, 
		fimage = "gfx/Azerin/items/3legs/legs.png", 
		def = 1, 
		speed = 0,
		level = 1, 
		func = equip,
	},

	[303] = {
		name = "[1]Leather boots", 
                desc = "Attack:0, Speed:1, Deff.:0,", 
		r = 128, g = 64, b = 0, 
		action = "equip", 
		slot = 6, 
		fimage = "gfx/Azerin/items/4boots/boots.png",  
		speed = 1, 
		level = 1, 
		func = equip,
	},

	[304] = {
		name = "[1]Wood sword", 
		desc = "Attack:5, Speed:0, Deff.:0,",  
		r = 128, g = 64, b = 0, 
		action = "equip", 
		slot = 3, 
		eimage = "gfx/Azerin/items/6swords/sword.png", 
		fimage = "gfx/Azerin/items/6swords/sword.png", 
		offsetx = 6,
		offsety = 17,
		equip = 69,
		atk = 5, 
		speed = 0, 
		level = 1, 
		func = equip,
                class = 1,
	},

	[305] = {
		name = "[1]Wood crossbow", 
		desc = "Attack:3, Speed:0, Deff.:0,",  
		r = 128, g = 64, b = 0, 
		action = "equip", 
		slot = 3, 
		twohand = true, 
		eimage = "gfx/Azerin/items/5bow/bow.png", 
		fimage = "gfx/Azerin/items/5bow/bow.png", 
		offsety = 9,
		equip = 34,
		atk = 3, 
		speed = 0, 
		level = 1, 
		func = equip,
                class = 2,
	},

	[310] = {
		name = "[10]Stone helmet", 
                desc = "Attack:0, Speed:0, Deff.:2,", 
		r = 128, g = 128, b = 128, 
		action = "equip", 
		slot = 1, 
		eimage = "gfx/Azerin/items/1helmet/helmet.png", 
		fimage = "gfx/Azerin/items/1helmet/helmet.png", 
		def = 2, 
		speed = 0,
		level = 10, 
		func = equip,
	},

	[311] = {
		name = "[10]Stone armour", 
                desc = "Attack:0, Speed:0, Deff.:5,", 
		r = 128, g = 128, b = 128,
		action = "equip", 
		slot = 2, 
		eimage = "gfx/Azerin/items/2armour/armour.png", 
		fimage = "gfx/Azerin/items/2armour/farmour.png", 
		def = 5, 
		speed = 0,
		level = 10, 
		func = equip,
	},

	[312] = {
		name = "[10]Stone leggings", 
                desc = "Attack:0, Speed:0, Deff.:2,", 
		r = 128, g = 128, b = 128,
		action = "equip", 
		slot = 5, 
		fimage = "gfx/Azerin/items/3legs/legs.png", 
		def = 2, 
		speed = 0,
		level = 10, 
		func = equip,
	},

	[313] = {
		name = "[10]Stone boots", 
                desc = "Attack:0, Speed:3, Deff.:1,", 
		r = 128, g = 128, b = 128,
		action = "equip", 
		slot = 6, 
		fimage = "gfx/Azerin/items/4boots/boots.png",  
		def = 1, 
		speed = 3, 
		level = 10, 
		func = equip,
	},

	[314] = {
		name = "[10]Stone sword", 
                desc = "Attack:9, Speed:0, Deff.:0,", 
		r = 128, g = 128, b = 128,
		action = "equip", 
		slot = 3, 
		eimage = "gfx/Azerin/items/6swords/sword.png", 
		fimage = "gfx/Azerin/items/6swords/sword.png", 
		offsetx = 6,
		offsety = 17,
		equip = 69,
		atk = 9, 
		speed = 0, 
		level = 10, 
		func = equip,
                class = 1,
	},

	[315] = {
		name = "[10]Stone crossbow", 
                desc = "Attack:7, Speed:0, Deff.:0,", 
		r = 128, g = 64, b = 0, 
		action = "equip", 
		slot = 3, 
		twohand = true, 
		eimage = "gfx/Azerin/items/5bow/bow.png", 
		fimage = "gfx/Azerin/items/5bow/bow.png", 
		offsety = 9,
		equip = 34,
		atk = 7, 
		speed = 0, 
		level = 10, 
		func = equip,
                class = 2,
	},

	[320] = {
		name = "[15]Crystal helmet", 
                desc = "Attack:0, Speed:0, Deff.:5,", 
		r = 200, g = 100, b = 0, 
		action = "equip", 
		slot = 1, 
		eimage = "gfx/Azerin/items/1helmet/crystal_helmet.png", 
		fimage = "gfx/Azerin/items/1helmet/crystal_helmet.png", 
		def = 5, 
		speed = 0,
		level = 15, 
		func = equip,
	},

	[321] = {
		name = "[15]Crystal armour", 
                desc = "Attack:0, Speed:0, Deff.:7,", 
		r = 200, g = 100, b = 0, 
		action = "equip", 
		slot = 2, 
		eimage = "gfx/Azerin/items/2armour/crystal_armour.png", 
		fimage = "gfx/Azerin/items/2armour/crystal_farmour.png", 
		def = 7, 
		speed = 0,
		level = 15, 
		func = equip,
	},

	[322] = {
		name = "[15]Crystal leggs", 
                desc = "Attack:0, Speed:0, Deff.:5,", 
		r = 200, g = 100, b = 0, 
		action = "equip", 
		slot = 5, 
		fimage = "gfx/Azerin/items/3legs/crystal_legs.png", 
		def = 5, 
		speed = 0,
		level = 15, 
		func = equip,
	},

	[323] = {
		name = "[15]Crystal boots", 
                desc = "Attack:0, Speed:0, Deff.:4,", 
		r = 200, g = 100, b = 0, 
		action = "equip", 
		slot = 6, 
		fimage = "gfx/Azerin/items/4boots/crystal_boots.png",  
		def = 4, 
		speed = 0, 
		level = 15, 
		func = equip,
	},

	[324] = {
		name = "[15]Crystal sword", 
                desc = "Attack:20, Speed:0, Deff.:0,", 
		r = 200, g = 100, b = 0, 
		action = "equip", 
		slot = 3, 
		eimage = "gfx/Azerin/items/6items/sword.png", 
		fimage = "gfx/Azeirn/6items/sword.png", 
		offsetx = 6,
		offsety = 17,
		equip = 69,
		atk = 20, 
		speed = 0, 
		level = 15, 
		func = equip,
                class = 1,
	},

	[325] = {
		name = "[15]Crystal crossbow", 
                desc = "Attack:13, Speed:0, Deff.:0,", 
		r = 128, g = 64, b = 0, 
		action = "equip", 
		slot = 3, 
		twohand = true, 
		eimage = "gfx/Azerin/items/5bow/crystal_bow.png", 
		fimage = "gfx/Azerin/items/5bow/crystal_bow.png", 
		offsety = 9,
		equip = 34,
		atk = 13, 
		speed = 0, 
		func = equip,
                class = 2,
	},

	[327] = {
		name = "[15]Silver ring", 
		desc = "Attack:1, Speed:1, Deff.:1,", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 10, 
		fimage = "gfx/Azerin/items/7rings/ring1.png",  
		atk = 1, 
		speed = 1,
		def = 1,
		level = 15, 
		func = equip,
	},

	[328] = {
		name = "[20]Weeding ring", 
		desc = "Attack:2, Speed:2, Deff.:2,", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 8, 
		fimage = "gfx/Azerin/items/7rings/ring2.png",  
		atk = 2, 
		speed = 2,
		def = 2,
		level = 20, 
		func = equip,
	},

	[329] = {
		name = "[25]Florist ring", 
		desc = "Attack:3, Speed:3, Deff.:3,", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 8, 
		fimage = "gfx/Azerin/items/7rings/ring3.png",  
		atk = 3, 
		speed = 3,
		def = 3,
		level = 25, 
		func = equip,
	},

	[330] = {
		name = "[30]Gold watch", 
		desc = "Attack:5, Speed:5, Deff.:5,", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 8, 
		fimage = "gfx/Azerin/items/7rings/ring4.png",  
		atk = 5, 
		speed = 5,
		def = 5,
		level = 30, 
		func = equip,
	},

	[331] = {
		name = "[20]Gold Helmet", 
		desc = "Attack:0, Speed:0, Deff.:5,", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 1, 
		eimage = "gfx/Azerin/items/1helmet/3.png",  
		atk = 0, 
		speed = 0,
		def = 5,
		level = 20, 
		func = equip,
	},

	[332] = {
		name = "[20]Gold armour", 
		desc = "Attack:0, Speed:0, Deff.:6,", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 2, 
		eimage = "gfx/Azerin/items/2armour/3.png",  
		fimage = "gfx/Azerin/items/2armour/3f.png",  
		atk = 0, 
		speed = 0,
		def = 6,
		level = 20, 
		func = equip,
	},

	[333] = {
		name = "[20]Gold legs", 
		desc = "Attack:0, Speed:0, Deff.:4,", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 5, 
		fimage = "gfx/Azerin/items/3legs/3.png",  
		atk = 0, 
		speed = 0,
		def = 4,
		level = 20, 
		func = equip,
	},

	[334] = {
		name = "[20]Gold boots", 
		desc = "Attack:0, Speed:0, Deff.:6,", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 6, 
		fimage = "gfx/Azerin/items/4boots/3.png",  
		atk = 0, 
		speed = 0,
		def = 6,
		level = 20, 
		func = equip,
	},

	[335] = {
		name = "[20]Gold sword", 
                desc = "Attack:18, Speed:0, Deff.:0,", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 3, 
		eimage = "gfx/Azerin/items/6swords/3.png", 
		fimage = "gfx/Azeirn/items/6swords/3.png", 
		offsetx = 6,
		offsety = 17,
		equip = 69,
		atk = 18, 
		speed = 0, 
		level = 20, 
		func = equip,
                class = 1,
	},

	[336] = {
		name = "[20]Gold crossbow", 
                desc = "Attack:11, Speed:0, Deff.:0,", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 3, 
		twohand = true, 
		eimage = "gfx/Azerin/items/5bow/3.png", 
		fimage = "gfx/Azerin/items/5bow/3.png", 
		offsety = 9,
		equip = 34,
		atk = 11, 
		speed = 0, 
		func = equip,
                level = 20,
                class = 2,
	},

	[337] = {
		name = "[25]Frozen crossbow", 
                desc = "Attack:16, Speed:0, Deff.:0,", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 3, 
		twohand = true, 
		eimage = "gfx/Azerin/items/5bow/4.png", 
		fimage = "gfx/Azerin/items/5bow/4.png", 
		offsety = 9,
		equip = 34,
		atk = 16, 
		speed = 0, 
		func = equip,
                level = 25,
                class = 2,
	},

	[338] = {
		name = "[25]Frozen sword", 
                desc = "Attack:27, Speed:0, Deff.:0,", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 3, 
		eimage = "gfx/Azerin/items/6swords/3.png", 
		fimage = "gfx/Azeirn/items/6swords/3.png", 
		offsetx = 6,
		offsety = 17,
		equip = 69,
		atk = 27, 
		speed = 0, 
		level = 25, 
		func = equip,
                class = 1,
	},

	[339] = {
		name = "[25]Frozen helmet", 
                desc = "Attack:0, Speed:0, Deff.:8,", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 1, 
		eimage = "gfx/Azerin/items/1helmet/4.png", 
		fimage = "gfx/Azerin/items/1helmet/4.png", 
		def = 8, 
		speed = 0,
		level = 25, 
		func = equip,
	},

	[340] = {
		name = "[25]Frozen armour", 
                desc = "Attack:0, Speed:0, Deff.:10,", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 2, 
		eimage = "gfx/Azerin/items/2armour/4.png", 
		fimage = "gfx/Azerin/items/2armour/4f.png", 
		def = 10, 
		speed = 0,
		level = 25, 
		func = equip,
	},

	[341] = {
		name = "[25]Frozen legs", 
                desc = "Attack:0, Speed:0, Deff.:8,", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 5, 
		fimage = "gfx/Azerin/items/3legs/4.png", 
		def = 8, 
		speed = 0,
		level = 25, 
		func = equip,
	},

	[342] = {
		name = "[25]Frozen boots", 
                desc = "Attack:0, Speed:0, Deff.:7,", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 6, 
		fimage = "gfx/Azerin/items/4boots/4.png", 
		def = 7, 
		speed = 0,
		level = 25, 
		func = equip,
	},

	[343] = {
		name = "[30]Ice helmet", 
                desc = "Attack:0, Speed:0, Deff.:11,", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 1, 
		eimage = "gfx/Azerin/items/1helmet/5.png", 
		fimage = "gfx/Azerin/items/1helmet/5.png", 
		def = 11, 
		speed = 0,
		level = 30, 
		func = equip,
	},

	[344] = {
		name = "[30]Ice armour", 
                desc = "Attack:0, Speed:0, Deff.:13,", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 2, 
		eimage = "gfx/Azerin/items/2armour/5.png", 
		fimage = "gfx/Azerin/items/2armour/5f.png", 
		def = 13, 
		speed = 0,
		level = 30, 
		func = equip,
	},

	[345] = {
		name = "[30]Ice legs", 
                desc = "Attack:0, Speed:0, Deff.:11,", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 5, 
		fimage = "gfx/Azerin/items/3legs/5.png", 
		def = 11, 
		speed = 0,
		level = 30, 
		func = equip,
	},

	[346] = {
		name = "[30]Ice boots", 
                desc = "Attack:0, Speed:5, Deff.:9,", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 6, 
		fimage = "gfx/Azerin/items/4boots/5.png", 
		def = 9, 
		speed = 5,
		level = 30, 
		func = equip,
	},

	[347] = {
		name = "[30]Ice crossbow", 
                desc = "Attack:21, Speed:0, Deff.:0,", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 3, 
		twohand = true, 
		eimage = "gfx/Azerin/items/5bow/5.png", 
		fimage = "gfx/Azerin/items/5bow/5.png", 
		offsety = 9,
		equip = 34,
		atk = 21, 
		speed = 0, 
		func = equip,
                level = 30,
                class = 2,
	},

	[348] = {
		name = "[30]Ice sword", 
                desc = "Attack:33, Speed:0, Deff.:0,", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 3, 
		eimage = "gfx/Azerin/items/6swords/5.png", 
		fimage = "gfx/Azeirn/items/6swords/5.png", 
		offsetx = 6,
		offsety = 17,
		equip = 69,
		atk = 33, 
		speed = 0, 
		level = 30, 
		func = equip,
                class = 1,

	},

	[400] = {
		name = "[Premium]Valentines circle", 
		desc = "You move faster with it, but are unable to attack with it. Your defence is also reduced significantly.", 
		r = 255, g = 255, b = 255, 
		action = "ride", 
		slot = 7, 
		ground = true, 
		fimage = "gfx/Azerin/items/11mounts/test.png",  
		eimage = "gfx/Azerin/items/11mounts/test.png", 
		speed = 20, 
		def = 0, 
		level = 1, 
		func = equip,
	},

	[401] = {
		name = "[Premium]Bunnies circle", 
		desc = "You move faster with it, but are unable to attack with it. Your defence is also reduced significantly.", 
		r = 255, g = 255, b = 255, 
		action = "ride", 
		slot = 7, 
		ground = true, 
		fimage = "gfx/azerin/items/11mounts/test2.png",  
		eimage = "gfx/azerin/items/11mounts/test2.png", 
		speed = 20, 
		def = 0, 
		level = 1, 
		func = equip,
	},

	[402] = {
		name = "[Premium]Sweetness circle", 
		desc = "You move faster with it, but are unable to attack with it. Your defence is also reduced significantly.", 
		r = 255, g = 255, b = 255, 
		action = "ride", 
		slot = 7, 
		ground = true, 
		fimage = "gfx/Azerin/items/11mounts/test3.png",   
		eimage = "gfx/Azerin/items/11mounts/test3.png",  
		speed = 20, 
		def = 0, 
		level = 1, 
		func = equip,
	},

	[403] = {
		name = "[Premium]Rose circle", 
		desc = "You move faster with it, but are unable to attack with it. Your defence is also reduced significantly.", 
		r = 255, g = 255, b = 255, 
		action = "ride", 
		slot = 7, 
		ground = true, 
		fimage = "gfx/Azerin/items/11mounts/test4.png", 
		eimage = "gfx/Azerin/items/11mounts/test4.png", 
		speed = 20, 
		def = 0, 
		level = 1, 
		func = equip,

	},

	[404] = {
		name = "[10]Pvp crossbow I", 
                desc = "Attack:8, Speed:0, Deff.:0,", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 3, 
		twohand = true, 
		eimage = "gfx/Azerin/items/5bow/6.png", 
		fimage = "gfx/Azerin/items/5bow/6.png", 
		offsety = 9,
		equip = 34,
		atk = 8, 
		speed = 0, 
		level = 10, 
		func = equip,
                class = 2,

	},

	[405] = {
		name = "[20]Pvp crossbow II", 
                desc = "Attack:13, Speed:0, Deff.:0,", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 3, 
		twohand = true, 
		eimage = "gfx/Azerin/items/5bow/6.png", 
		fimage = "gfx/Azerin/items/5bow/6.png", 
		offsety = 9,
		equip = 34,
		atk = 13, 
		speed = 0, 
		func = equip,
                level = 20,
                class = 2,

	},

	[406] = {
		name = "[30]Pvp crossbow III", 
                desc = "Attack:19, Speed:0, Deff.:0,", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 3, 
		twohand = true, 
		eimage = "gfx/Azerin/items/5bow/6.png", 
		fimage = "gfx/Azerin/items/5bow/6.png", 
		offsety = 9,
		equip = 34,
		atk = 19, 
		speed = 0, 
		func = equip,
                level = 30,
                class = 2,

	},

	[407] = {
		name = "[10]Pvp sword I", 
                desc = "Attack:11, Speed:0, Deff.:0,", 
		r = 128, g = 128, b = 128,
		action = "equip", 
		slot = 3, 
		eimage = "gfx/Azerin/items/6swords/6.png", 
		fimage = "gfx/Azerin/items/6swords/6.png", 
		offsetx = 6,
		offsety = 17,
		equip = 69,
		atk = 11, 
		speed = 0, 
		level = 10, 
		func = equip,
                class = 1,

	},

	[408] = {
		name = "[20]Pvp sword II", 
                desc = "Attack:20, Speed:0, Deff.:0,", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 3, 
		eimage = "gfx/Azerin/items/6swords/6.png", 
		fimage = "gfx/Azeirn/items/6swords/6.png", 
		offsetx = 6,
		offsety = 17,
		equip = 69,
		atk = 20, 
		speed = 0, 
		level = 20, 
		func = equip,
                class = 1,

	},

	[409] = {
		name = "[30]Pvp sword III", 
                desc = "Attack:27, Speed:0, Deff.:0,", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 3, 
		eimage = "gfx/Azerin/items/6swords/6.png", 
		fimage = "gfx/Azeirn/items/6swords/6.png", 
		offsetx = 6,
		offsety = 17,
		equip = 69,
		atk = 27, 
		speed = 0, 
		level = 30, 
		func = equip,
                class = 1,
	},

	[410] = {
		name = "[1]Angel wings", 
		desc = "You move faster with it, but are unable to attack with it. Your defence is also reduced significantly.", 
		r = 255, g = 255, b = 255, 
		action = "ride", 
		slot = 7, 
		ground = true, 
		fimage = "gfx/Azerin/items/11mounts/1.png", 
		eimage = "gfx/Azerin/items/11mounts/1.png", 
		speed = 13, 
		def = 0, 
		level = 1, 
		func = equip,

	},

	[411] = {
		name = "[1]Ice wings", 
		desc = "You move faster with it, but are unable to attack with it. Your defence is also reduced significantly.", 
		r = 255, g = 255, b = 255, 
		action = "ride", 
		slot = 7, 
		ground = true, 
		fimage = "gfx/Azerin/items/11mounts/2.png", 
		eimage = "gfx/Azerin/items/11mounts/2.png", 
		speed = 13, 
		def = 0, 
		level = 1, 
		func = equip,

	},

	[412] = {
		name = "[12]Noth helmet", 
                desc = "Attack:0, Speed:0, Deff.:2,", 
		r = 0, g = 128, b = 0, 
		action = "equip", 
		slot = 1, 
		eimage = "gfx/Azerin/items/1helmet/helmet.png", 
		fimage = "gfx/Azerin/items/1helmet/helmet.png", 
		def = 3, 
		speed = 0,
		level = 12, 
		func = equip,
	},

	[413] = {
		name = "[12]Noth armour", 
                desc = "Attack:0, Speed:0, Deff.:5,", 
		r = 0, g = 128, b = 0,
		action = "equip", 
		slot = 2, 
		eimage = "gfx/Azerin/items/2armour/armour.png", 
		fimage = "gfx/Azerin/items/2armour/farmour.png", 
		def = 6, 
		speed = 0,
		level = 12, 
		func = equip,
	},

	[414] = {
		name = "[12]Noth leggings", 
                desc = "Attack:0, Speed:0, Deff.:2,", 
		r = 0, g = 128, b = 0,
		action = "equip", 
		slot = 5, 
		fimage = "gfx/Azerin/items/3legs/legs.png", 
		def = 4, 
		speed = 0,
		level = 12, 
		func = equip,
	},

	[415] = {
		name = "[12]Noth boots", 
                desc = "Attack:0, Speed:0, Deff.:1,", 
		r = 0, g = 128, b = 0,
		action = "equip", 
		slot = 6, 
		fimage = "gfx/Azerin/items/4boots/boots.png",  
		def = 2, 
		speed = 0, 
		level = 12, 
		func = equip,
	},

	[416] = {
		name = "[12]Noth sword", 
                desc = "Attack:9, Speed:0, Deff.:0,", 
		r = 0, g = 128, b = 0,
		action = "equip", 
		slot = 3, 
		eimage = "gfx/Azerin/items/6swords/sword.png", 
		fimage = "gfx/Azerin/items/6swords/sword.png", 
		offsetx = 6,
		offsety = 17,
		equip = 69,
		atk = 13, 
		speed = 0, 
		level = 12, 
		func = equip,
                class = 1,
	},

	[417] = {
		name = "[12]Noth crossbow", 
                desc = "Attack:7, Speed:0, Deff.:0,", 
		r = 0, g = 128, b = 0, 
		action = "equip", 
		slot = 3, 
		twohand = true, 
		eimage = "gfx/Azerin/items/5bow/bow.png", 
		fimage = "gfx/Azerin/items/5bow/bow.png", 
		offsety = 9,
		equip = 34,
		atk = 9, 
		speed = 0, 
		level = 12, 
		func = equip,
                class = 2,

	},

	[418] = {
		name = "[22]Penguin helmet", 
                desc = "Attack:0, Speed:0, Deff.:6,", 
		r = 0, g = 0, b = 128, 
		action = "equip", 
		slot = 1, 
		eimage = "gfx/Azerin/items/1helmet/helmet.png", 
		fimage = "gfx/Azerin/items/1helmet/helmet.png", 
		def = 6, 
		speed = 0,
		level = 22, 
		func = equip,
	},

	[419] = {
		name = "[22]Penguin armour", 
                desc = "Attack:0, Speed:0, Deff.:7,", 
		r = 0, g = 0, b = 128,
		action = "equip", 
		slot = 2, 
		eimage = "gfx/Azerin/items/2armour/armour.png", 
		fimage = "gfx/Azerin/items/2armour/farmour.png", 
		def = 7, 
		speed = 0,
		level = 22, 
		func = equip,
	},

	[420] = {
		name = "[22]Penguin leggings", 
                desc = "Attack:0, Speed:0, Deff.:5,", 
		r = 0, g = 0, b = 128,
		action = "equip", 
		slot = 5, 
		fimage = "gfx/Azerin/items/3legs/legs.png", 
		def = 5, 
		speed = 0,
		level = 22, 
		func = equip,
	},

	[421] = {
		name = "[22]Penguin boots", 
                desc = "Attack:0, Speed:0, Deff.:7,", 
		r = 0, g = 0, b = 128,
		action = "equip", 
		slot = 6, 
		fimage = "gfx/Azerin/items/4boots/boots.png",  
		def = 7, 
		speed = 0, 
		level = 22, 
		func = equip,
	},

	[422] = {
		name = "[22]Penguin sword", 
                desc = "Attack:21, Speed:0, Deff.:0,", 
		r = 0, g = 0, b = 128,
		action = "equip", 
		slot = 3, 
		eimage = "gfx/Azerin/items/6swords/sword.png", 
		fimage = "gfx/Azerin/items/6swords/sword.png", 
		offsetx = 6,
		offsety = 17,
		equip = 69,
		atk = 21, 
		speed = 0, 
		level = 12, 
		func = equip,
                class = 1,
	},

	[423] = {
		name = "[22]Penguin crossbow", 
                desc = "Attack:15, Speed:0, Deff.:0,", 
		r = 0, g = 0, b = 128, 
		action = "equip", 
		slot = 3, 
		twohand = true, 
		eimage = "gfx/Azerin/items/5bow/bow.png", 
		fimage = "gfx/Azerin/items/5bow/bow.png", 
		offsety = 9,
		equip = 34,
		atk = 15, 
		speed = 0, 
		level = 22, 
		func = equip,
                class = 2,

	},

	[424] = {
		name = "[VIP]Pikachu helmet", 
                desc = "Attack:0, Speed:5, Deff.:1,", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 1, 
		eimage = "gfx/Azerin/items/100vip/pikachu.png", 
		fimage = "gfx/Azerin/items/100vip/pikachu.png", 
		def = 1, 
		speed = 5,
		level = 1, 
		func = equip,
	},

	[425] = {
		name = "[1]Beta armour", 
                desc = "Attack:0, Speed:0, Deff.:5,", 
		r = 255, g = 255, b = 255,
		action = "equip", 
		slot = 2, 
		eimage = "gfx/Azerin/items/99events/betaarmour1.png", 
		fimage = "gfx/Azerin/items/99events/betaarmour2.png", 
		def = 5, 
		speed = 0,
		level = 1, 
		func = equip,

	},

	[426] = {
		name = "[1]Beta wings", 
		desc = "You move faster with it, but are unable to attack with it. Your defence is also reduced significantly.", 
		r = 255, g = 255, b = 255, 
		action = "ride", 
		slot = 7, 
		ground = true, 
		fimage = "gfx/Azerin/items/99events/betawings.png", 
		eimage = "gfx/Azerin/items/99events/betawings.png", 
		speed = 15, 
		def = 0, 
		level = 1, 
		func = equip,

	},

	[427] = {
		name = "[1]Clay bird", 
		desc = "You move faster with it, but are unable to attack with it. Your defence is also reduced significantly.", 
		r = 255, g = 255, b = 255, 
		action = "ride", 
		slot = 7, 
		ground = true, 
		fimage = "gfx/Azerin/items/11mounts/letterbird.png", 
		eimage = "gfx/Azerin/items/11mounts/letterbird.png", 
		speed = 20, 
		def = 0, 
		level = 1, 
		func = equip,


	},

	[1337] = {
		name = 'money', 
		article = 'some', 
		r = 0, g = 150, b = 0, 
		fimage = 'gfx/weiwen/money.png', 


	}
}
ITEMFUNCTIONS = {}

for k, v in pairs(ITEMS) do
	v.article = v.article or "a"
	v.plural = v.plural or v.name .. "s"
	v.action = type(v.action) == "table" and v.action or {v.action}
	v.func = type(v.func) == "table" and v.func or {v.func}
end