Monster = {name = 'Monster', health = 100, image = 'gfx/weiwen/circle.png', scalex = 1, scaley = 1, atk = 1, def = 1, spd = 5, x = 0, y = 0, ang = 0, imgang = 0, exp = 5, money = 50, type = 'monster', loot = {}}
MONSTERS = {}
local t = 0

local SPAWNS = {
	ISLAND1 = {{0, 32}, {57, 58}},
	ISLAND1_CHEST = {{42, 41}, {43, 41}},
	ISLAND1_CAVE = {{8, 58}, {26, 110}},
	ISLAND1_FOREST = {{39, 0}, {84, 38}},
	ISLAND1_CAVE_BOSS = {{1, 110}, {15, 129}},
        ISLAND2 = {{177, 23}, {181, 46}},
        ISLAND3_PENGUIN = {{221, 63}, {221, 64}},
        ISLAND3_CHEST = {{242, 41}, {242, 42}},
        ISLAND3_YETI = {{264, 33}, {264, 34}},
        ISLAND3_CAVE1 = {{276, 75}, {276, 76}},
        ISLAND3_CAVE2 = {{309, 34}, {309, 35}},
        ISLAND3_CAVE3 = {{345, 11}, {345, 12}},
}

CONFIG.MONSTERS = {
	{
		name = 'Possessed miner [Lv.5]', health = 100, image = 'gfx/azerin/monsters/miner.png', scalex = 1, scaley = 1,  
		atk = 3, def = 2, spd = 3, atkspd = 4, x = 0, y = 0, ang = 0, imgang = 0, runat = 10, 
		spawnchance = {['rpg_mapb'] = {70}}, 
		spawn = {
			['rpg_mapb'] = {SPAWNS.ISLAND1_CAVE}
		}, 
		exp = 20, money = 60, loot = {{chance = 1800, id = 232}, {chance = 1800, id = 233}, {chance = 1800, id = 234,}, {chance = 1800, id = 235}, {chance = 1800, id = 236}, {chance = 1800, id = 237}, {chance = 1800, id = 238}},
	}, 
	{
		name = 'Possessed boss miner [Lv.7]', health = 100, image = 'gfx/azerin/monsters/miner2.png', scalex = 1, scaley = 1, 
		atk = 4.5, def = 2.5, spd = 3.5, atkspd = 4, x = 0, y = 0, ang = 0, imgang = 0, runat = 10,  
		spawnchance = {['rpg_mapb'] = {40}}, 
		spawn = {
			['rpg_mapb'] = {SPAWNS.ISLAND1_CAVE}
		}, 
		exp = 25, money = 70, loot = {{chance = 1800, id = 232}, {chance = 1800, id = 233}, {chance = 1800, id = 234}, {chance = 1800, id = 235}, {chance = 1800, id = 236}, {chance = 1800, id = 237}, {chance = 1800, id = 238}},
	}, 
	{
		name = 'Red crystal miner[Lv.15][Mini-Boss]', health = 1000, image = 'gfx/azerin/monsters/miner3.png', scalex = 1, scaley = 1, 
		atk = 15, def = 3, spd = 8, atkspd = 3, x = 0, y = 0, ang = 0, imgang = 0, runat = 10, 
		
                spawnchance = {['rpg_mapb'] = {10}}, 
		spawn = {
			['rpg_mapb'] = {SPAWNS.ISLAND1_CAVE_BOSS}
		}, 
		exp = 150, money = 600, loot = {{chance = 2400, id = 320}, {chance = 2500, id = 321}, {chance = 2400, id = 322}, {chance = 2300, id = 323}, {chance = 2400, id = 324}, {chance = 2400, id = 325}},
		spc = {1000, function(self) 
			radiusmsg("Red crystal miner uses crystal explosion!", self.x, self.y)
			parse('explosion ' .. self.x .. ' ' .. self.y .. ' 96 40')
			parse('effect "colorsmoke" ' .. self.x .. ' ' .. self.y .. ' 100 96 255 255 255')
			parse('effect "colorsmoke" ' .. self.x .. ' ' .. self.y .. ' 75 96 128 128 255')
		end},
	}, 
	{
		name = 'Beginner thief [LV.6]', health = 120, image = 'gfx/azerin/monsters/thief1.png', scalex = 1, scaley = 1,
		atk = 4, def = 2, spd = 4, atkspd = 6, x = 0, y = 0, ang = 0, imgang = 0, runat = 20, 
		
                spawnchance = {['rpg_mapb'] = {25}}, 	
		spawn = {
			['rpg_mapb'] = {SPAWNS.ISLAND1_FOREST}
		}, 
		exp = 26, money = 50, loot = {{chance = 1500, id = 4}, {chance = 1500, id = 5}, {chance = 1500, id = 1}, {chance = 1800, id = 220}, {chance = 1800, id = 221}, {chance = 1700, id = 222}, {chance = 1800, id = 223}, {chance = 1800, id = 224}, {chance = 1800, id = 225}, {chance = 1800, id = 226}},
	}, 
	{
		name = 'Advanced thief [LV.8]', health = 130, image = 'gfx/azerin/monsters/thief2.png', scalex = 1, scaley = 1, 
		atk = 5, def = 3, spd = 5, atkspd = 6.5, x = 0, y = 0, ang = 0, imgang = 0, runat = 20, 

                spawnchance = {['rpg_mapb'] = {25}}, 		 
		spawn = {
			['rpg_mapb'] = {SPAWNS.ISLAND1_FOREST}
		}, 
		exp = 31, money = 70, loot = {{chance = 2000, id = 4}, {chance = 1500, id = 5}, {chance = 1500, id = 1}, {chance = 1800, id = 220}, {chance = 1800, id = 221}, {chance = 1800, id = 222}, {chance = 1800, id = 223}, {chance = 1800, id = 224}, {chance = 1800, id = 225}, {chance = 1800, id = 226}},
	}, 
	{
		name = 'Head of thieves [Lv.10]', health = 150, image = 'gfx/azerin/monsters/thief3.png', scalex = 1, scaley = 1, 
		atk = 11, def = 4, spd = 5.4, atkspd = 7, x = 0, y = 0, ang = 0, imgang = 0, runat = 20, 
	
                spawnchance = {['rpg_mapb'] = {15}}, 	
		spawn = {
			['rpg_mapb'] = {SPAWNS.ISLAND1_FOREST}
		}, 
		exp = 35, money = 120, loot = {{chance = 1500, id = 4}, {chance = 1500, id = 5}, {chance = 1500, id = 1}, {chance = 1700, id = 220}, {chance = 1800, id = 221}, {chance = 1800, id = 222}, {chance = 1800, id = 223}, {chance = 1800, id = 224}, {chance = 1700, id = 225}, {chance = 1800, id = 226}},
		spc = {500, function(self) 
			radiusmsg("Pidgey uses sand attack!", self.x, self.y)
			parse('flashposition ' .. self.x .. ' ' .. self.y .. ' 100')
		end},
	}, 
	{
		name = 'Slime [Lv.1]', health = 60, image = 'gfx/azerin/monsters/slime1.png', scalex = 1, scaley = 1, r = 104, g = 152, b = 40, 
		atk = 1, def = 1, spd = 3, atkspd = 2, x = 0, y = 0, ang = 0, imgang = 0, runat = 20, 
	
                spawnchance = {['rpg_mapb'] = {60}}, 	
		spawn = {
			['rpg_mapb'] = {SPAWNS.ISLAND1}
		}, 
		exp = 7, money = 10, loot = {{chance = 1500, id = 9}, {chance = 1500, id = 10}, {chance = 1500, id = 11}}, 
	}, 
	{
		name = 'Orange mushroom [Lv.2]', health = 70, image = 'gfx/azerin/monsters/mushroom1.png', scalex = 1, scaley = 1, r = 104, g = 152, b = 40, 
		atk = 2, def = 1.0, spd = 4, atkspd = 4, x = 0, y = 0, ang = 0, imgang = 0, runat = 20, 

                spawnchance = {['rpg_mapb'] = {40}}, 		 
		spawn = {
			['rpg_mapb'] = {SPAWNS.ISLAND1}
		}, 
		exp = 8, money = 11, loot = {{chance = 1500, id = 9}, {chance = 1500, id = 10}, {chance = 1500, id = 11}},
	}, 
	{
		name = 'Blue mushroom [Lv.3]', health = 85, image = 'gfx/azerin/monsters/mushroom2.png', scalex = 1, scaley = 1, r = 104, g = 152, b = 40, 
		atk = 3.5, def = 3, spd = 5, atkspd = 4.5, x = 0, y = 0, ang = 0, imgang = 0, runat = 10, 

                spawnchance = {['rpg_mapb'] = {40}}, 		 
		spawn = {
			['rpg_mapb'] = {SPAWNS.ISLAND1}
		}, 
		exp = 11, money = 15, loot = {{chance = 1500, id = 9}, {chance = 1500, id = 10}, {chance = 1500, id = 11}},
		spc = {500, function(self, id, dist) 
			if dist <= 96 then
				radiusmsg("Ekans uses poison sting!", self.x, self.y)
				self:hit(id, 20)
			end
		end},
	}, 
	{
		name = 'Limestone [Lv.4]', health = 90, image = 'gfx/azerin/monsters/limestone1.png', scalex = 1, scaley = 1, r = 104, g = 152, b = 40, 
		atk = 4, def = 4, spd = 5.3, atkspd = 5, x = 0, y = 0, ang = 0, imgang = 0, runat = 10, 

                spawnchance = {['rpg_mapb'] = {35}}, 		
		spawn = {
			['rpg_mapb'] = {SPAWNS.ISLAND1}
		}, 
		exp = 13, money = 24, loot = {{chance = 1500, id = 9}, {chance = 1500, id = 10}, {chance = 1500, id = 11}},
	}, 
	{
		name = 'Madstarfish [Lv.1]', health = 50, image = 'gfx/azerin/monsters/mad_starfish.png', scalex = 1, scaley = 1, 
		atk = 4, def = 4, spd = 5.3, atkspd = 5, x = 0, y = 0, ang = 0, imgang = 0, runat = 10, 

                spawnchance = {['rpg_mapb'] = {50}}, 		 
		spawn = {
			['rpg_mapb'] = {SPAWNS.ISLAND2}
		}, 
		exp = 3, money = 24, loot = {{chance = 1500, id = 24}, {chance = 1500, id = 21}, {chance = 1500, id = 22}, {chance = 1500, id = 23}}, 
	}, 
	{
		name = 'Happy crab [Lv.6]', health = 100, image = 'gfx/azerin/monsters/happy_crab.png', scalex = 1, scaley = 1, 
		atk = 4, def = 4, spd = 5.3, atkspd = 5, x = 0, y = 0, ang = 0, imgang = 0, runat = 10, 

                spawnchance = {['rpg_mapb'] = {40}}, 		 
		spawn = {
			['rpg_mapb'] = {SPAWNS.ISLAND2}
		}, 
		exp = 15, money = 24, loot = {{chance = 1500, id = 24}, {chance = 1500, id = 21}, {chance = 1500, id = 22}, {chance = 1500, id = 23}}, 	
	}, 
	{
		name = 'Scuba pepe [Lv.17]', health = 150, image = 'gfx/azerin/monsters/Scuba_pepe.png', scalex = 1, scaley = 1, r = 0, g = 0, b = 255, 
		atk = 16, def = 4, spd = 4, atkspd = 6, x = 0, y = 0, ang = 0, imgang = 0, runat = 20, 
		
                spawnchance = {['rpg_mapb'] = {50}}, 	
		spawn = {
			['rpg_mapb'] = {SPAWNS.ISLAND3_PENGUIN}
		}, 
		exp = 120, money = 50, loot = {{chance = 1900, id = 16}, {chance = 1900, id = 17}, {chance = 1900, id = 18}, {chance = 1900, id = 19}, {chance = 1900, id = 20}},
	}, 
	{
		name = 'King pepe [Lv.18]', health = 170, image = 'gfx/azerin/monsters/king_pepe.png', scalex = 1, scaley = 1, r = 0, g = 0, b = 255, 
		atk = 17, def = 4, spd = 4, atkspd = 6, x = 0, y = 0, ang = 0, imgang = 0, runat = 20, 
		
                spawnchance = {['rpg_mapb'] = {40}}, 	
		spawn = {
			['rpg_mapb'] = {SPAWNS.ISLAND3_PENGUIN}
		}, 
		exp = 132, money = 50, loot = {{chance = 1900, id = 16}, {chance = 1900, id = 17}, {chance = 1900, id = 18}, {chance = 1900, id = 19}, {chance = 1900, id = 20}},
	}, 
	{
		name = 'Small yeti [Lv.18]', health = 210, image = 'gfx/azerin/monsters/small_yeti.png', scalex = 1, scaley = 1, r = 0, g = 0, b = 255, 
		atk = 19, def = 4, spd = 4, atkspd = 6, x = 0, y = 0, ang = 0, imgang = 0, runat = 20, 
		
                spawnchance = {['rpg_mapb'] = {35}}, 	
		spawn = {
			['rpg_mapb'] = {SPAWNS.ISLAND3_YETI}
		}, 
		exp = 132, money = 50, loot = {{chance = 1900, id = 16}, {chance = 1900, id = 17}, {chance = 1900, id = 18}, {chance = 1900, id = 19}, {chance = 1900, id = 20}},
	},
	{
		name = 'Lonely spirit [Lv.25]', health = 230, image = 'gfx/azerin/monsters/Lonely_spirit.png', scalex = 1, scaley = 1, r = 0, g = 0, b = 255, 
		atk = 21, def = 4, spd = 4, atkspd = 6, x = 0, y = 0, ang = 0, imgang = 0, runat = 20, 
		
                spawnchance = {['rpg_mapb'] = {50}}, 	
		spawn = {
			['rpg_mapb'] = {SPAWNS.ISLAND3_CAVE1}
		}, 
		exp = 165, money = 50, loot = {{chance = 2000, id = 239},  {chance = 2000, id = 240}},
	}, 
	{
		name = 'Ice warrior [Lv.27]', health = 260, image = 'gfx/azerin/monsters/snow_warrior.png', scalex = 1, scaley = 1, r = 0, g = 0, b = 255, 
		atk = 23, def = 4, spd = 4, atkspd = 6, x = 0, y = 0, ang = 0, imgang = 0, runat = 20, 
		
                spawnchance = {['rpg_mapb'] = {30}}, 	
		spawn = {
			['rpg_mapb'] = {SPAWNS.ISLAND3_CAVE2}
		}, 
		exp = 190, money = 50, loot = {{chance = 2000, id = 239}, {chance = 2000, id = 240}},
	}, 
	{
		name = 'Yeti [Lv.20]', health = 250, image = 'gfx/azerin/monsters/huge_yeti.png', scalex = 1, scaley = 1, r = 0, g = 0, b = 255, 
		atk = 19, def = 4, spd = 4, atkspd = 6, x = 0, y = 0, ang = 0, imgang = 0, runat = 20, 
		
                spawnchance = {['rpg_mapb'] = {30}}, 	
		spawn = {
			['rpg_mapb'] = {SPAWNS.ISLAND3_YETI}	
		}, 				
		exp = 145, money = 50, loot = {{chance = 1900, id = 16}, {chance = 1900, id = 17}, {chance = 1900, id = 18}, {chance = 1900, id = 19}, {chance = 1900, id = 20}}, 
	}, 
	{
		name = 'Ice queen [Lv.30][Boss]', health = 1000, image = 'gfx/azerin/monsters/snow_queen.png', scalex = 1, scaley = 1, r = 0, g = 0, b = 255, 
		atk = 40, def = 4, spd = 7, atkspd = 6, x = 0, y = 0, ang = 0, imgang = 0, runat = 20, 
		
                spawnchance = {['rpg_mapb'] = {10}}, 	
		spawn = {
			['rpg_mapb'] = {SPAWNS.ISLAND3_CAVE3}	
		}, 				
		exp = 1000, money = 2500, loot = {{chance = 2600, id = 343}, {chance = 2700, id = 344}, {chance = 2600, id = 345}, {chance = 2600, id = 346}, {chance = 2600, id = 347}, {chance = 2600, id = 348}},
	},
	{
		name = 'Noth chest [Lv.1]', health = 3000, image = 'gfx/azerin/monsters/chest1.png', scalex = 1, scaley = 1, r = 0, g = 0, b = 0, 
		atk = 0, def = 0, spd = 7, atkspd = 0, x = 0, y = 0, ang = 0, imgang = 0, runat = 1000, 
		
                spawnchance = {['rpg_mapb'] = {10}}, 	
		spawn = {
			['rpg_mapb'] = {SPAWNS.ISLAND1_CHEST}
		}, 
		exp = 250, money = 2000, loot = {{chance = 1000, id = 410}, {chance = 2000, id = 412}, {chance = 2000, id = 413}, {chance = 2000, id = 414}, {chance = 2000, id = 415}, {chance = 2000, id = 416}, {chance = 2000, id = 417}},
	},
	{
		name = 'Penguin chest [Lv.1]', health = 1000, image = 'gfx/azerin/monsters/chest2.png', scalex = 1, scaley = 1, r = 0, g = 0, b = 255, 
		atk = 0, def = 0, spd = 7, atkspd = 6, x = 0, y = 0, ang = 0, imgang = 0, runat = 1000, 
		
                spawnchance = {['rpg_mapb'] = {10}}, 	
		spawn = {
			['rpg_mapb'] = {SPAWNS.ISLAND3_CHEST}
		}, 
		exp = 250, money = 2000, loot = {{chance = 1000, id = 412}, {chance = 2000, id = 418}, {chance = 2000, id = 419}, {chance = 2000, id = 420}, {chance = 2000, id = 421}, {chance = 2000, id = 422}, {chance = 2000, id = 423}},
	}, 
}

CONFIG.MONSTERSKILLS = {
	endAgility = function(id)
		self = MONSTERS[tonumber(id)]
		self.spd = self._spd
		self._spd = nil
		imagecolor(self.image, 255, 255, 255)
		self.agility = nil
	end,
	endRage = function(id)
		self = MONSTERS[tonumber(id)]
		self.atk = self._atk
		self._atk = nil
		imagecolor(self.image, 255, 255, 255)
		self.rage = nil
	end,
	endHarden = function(id)
		self = MONSTERS[tonumber(id)]
		self.def = self._def
		self._def = nil
		imagecolor(self.image, 255, 255, 255)
		self.harden = nil
	end,
}

addhook("attack", "MONSTERattack")
function MONSTERattack(id)
	if gettile(PLAYERS[id].x, PLAYERS[id].y).SAFE or gettile(PLAYERS[id].x, PLAYERS[id].y).NOMONSTERS then
		return
	end
	if inarray({0}, PLAYERS[id].Equipment[7]) then
		message(id, "You may not attack on a horse.")
		return
	end
	local weapon, closest = player(id, 'weapontype')
	for _, m in ipairs(MONSTERS) do
		local x, y = player(id, 'x'), player(id, 'y')
		local dist = math.sqrt((m.x-x)^2+(m.y-y)^2)
		if dist <= (closest and closest[2] or (CONFIG.WEAPONRANGE[weapon] or CONFIG.WEAPONRANGE[50])) then
			local rot = player(id, 'rot')
			if math.abs(math.rad(rot) - math.atan2(y-m.y, x-m.x) + math.pi/2)%(2*math.pi) <= (CONFIG.WEAPONWIDTH[weapon] or CONFIG.WEAPONRANGE[50]) and freeline(player(id,"x"),player(id,"y"), m.x, m.y) then
     closest = {m, dist}
			end
		end
	end
	if closest then
		closest[1]:damage(id, math.ceil(20*((PLAYERS[id].Level+50)*PLAYERS[id].tmp.atk/closest[1].def)/math.random(60, 140)), weapon)
	end
end


addhook("ms100", "MONSTERms100")
function MONSTERms100()
	t = t + 1
	if t % 100 == 0 then
		while #MONSTERS < CONFIG.MAXMONSTERS do
			local rand, spawnNo, mapName
			while true do 
				rand = math.random(#CONFIG.MONSTERS)
				mapName = CONFIG.MONSTERS[rand].spawn[map'name'] and map'name' or CONFIG.DEFAULTMAP
				spawnNo = math.random(#CONFIG.MONSTERS[rand].spawn[mapName])
				if math.random(0, 100) < CONFIG.MONSTERS[rand].spawnchance[mapName][spawnNo] then
					break
				end
			end 
			local m = deepcopy(CONFIG.MONSTERS[rand])
			local x, y, tilex, tiley
			local spawn = m.spawn[mapName][spawnNo]
			repeat
				tilex, tiley = math.random(spawn[1][1], spawn[2][1]), math.random(spawn[1][2], spawn[2][2])
			until not gettile(tilex, tiley).SAFE and 
				  not gettile(tilex, tiley).NOMONSTERS and 
				  tile(tilex, tiley, "walkable") and 
				  tile(tilex, tiley, "frame") ~= 25
			m.x, m.y = math.floor(tilex*32+16), math.floor(tiley*32+16)
			Monster:new(m)
		end
	end
	for _, m in ipairs(MONSTERS) do
		if t % m.atkspd == 0 then
			m.target = nil
			local closest
			for _, p in ipairs(table.shuffle(player(0, 'table'))) do
				if player(p, 'health') > 0 and 
					not gettile(PLAYERS[p].x, PLAYERS[p].y).SAFE and 
					not gettile(PLAYERS[p].x, PLAYERS[p].y).NOMONSTERS then
					local dist = math.sqrt((player(p, 'x')-m.x)^2 + (player(p, 'y')-m.y)^2)
					if dist < 400 then
						if not closest or dist < closest[2] then
							closest = {p, dist}
						end
					end
				end
			end
			if closest then
				local dist = closest[2]
				if dist < 400 then
					m.target = closest[1]
					if m.spc and math.random(10000) <= m.spc[1] then
						m.spc[2](m, m.target, dist)
					elseif dist <= (m.range or 32) then
						m:hit(m.target, 10)
					end
				end
			end
		end
		m.imgang = math.sin(t/2.5*math.pi) * 15
		if m.target and player(m.target, 'exists') and player(m.target, 'health') > 0 and 
			not gettile(PLAYERS[m.target].x, PLAYERS[m.target].y).SAFE and 
			not gettile(PLAYERS[m.target].x, PLAYERS[m.target].y).NOMONSTERS then
			xdist, ydist = player(m.target, 'x') - m.x, player(m.target, 'y') - m.y
			local dist = math.sqrt(xdist^2 + ydist^2)
			if dist < 400 then
				m.ang = math.atan2(ydist, xdist)-math.pi/2+math.random(-1, 1)/2
			else
				m.target = nil
			end
		end
		if not m.target then
			m:rot(math.random(-1, 1)/2)
		end
		if not m:move(m:rot(), m.health > m.runat and 1 or -1) then
			repeat until m:move(math.rad(math.random(360)), 1)
		end
	end
end

function Monster:new(m)
	if not (m.x or m.y) then return false end
	m.image = image(m.image, m.x, m.y, 0)
	imagescale(m.image, m.scalex, m.scaley)
	setmetatable(m, self)
	self.__index = self
	local n = #MONSTERS+1
	MONSTERS[#MONSTERS+1] = m
	m.id = n
	return m
end

function Monster:pos(x, y)
	if not x and not y then
		return self.x, self.y
	else
		self.x, self.y = x or self.x, y or self.y
		imagepos(self.image, self.x, self.y, self.imgang)
	end
	return true
end

function Monster:move(dir, amt)
	local x, y = -math.sin(dir)*amt*self.spd, math.cos(dir)*amt*self.spd
	local x, y = self.x+x, self.y+y
	local tilex, tiley = math.floor(x/32), math.floor(y/32)
	if tile(tilex, tiley, 'walkable') and tile(tilex, tiley, 'frame') ~= 25 and 
		not gettile(tilex, tiley).SAFE and 
		not gettile(tilex, tiley).NOMONSTERS then
		self:pos(x, y)
		return true
	else
		self:rot(math.random(-1, 1)*math.pi/2)
		return false
	end
end

function Monster:damage(id, dmg, wpntype)
	if not PLAYERS[id].Tutorial.damagem then
		message(id, "You have attacked a monster! Good job! Keep on attacking it until it dies.", "255128000")
		PLAYERS[id].Tutorial.damagem = true
	end
	local wpnName
	if weapon == 251 then
		wpnName = 'rune'
	elseif weapon == 46 then
		wpnName = 'firewave'
		dmg = dmg/5
	else
		wpnName = PLAYERS[id].Equipment[3] and ITEMS[PLAYERS[id].Equipment[3]].name or 'dagger'
	end
	self.health = self.health - dmg
        hudtxt2(id,15,"You deal " .. dmg .. " damage", '255255255', 420, 38-CONFIG.PIXELS, 1)
	hudtxt2(id,16, self.name .. " still has " .. self.health .. " hp", '255255255', 420, 25-CONFIG.PIXELS, 1)
	--print(player(id, 'name') .. ' deals ' .. dmg .. ' damage to ' .. self.name .. ' usng a ' .. wpnName .. '.')
	if self.health <= 0 then
		if not PLAYERS[id].Tutorial.killm then
			message(id, "Congratulation! You have killed your first monster. You can proceed to pick up the loot by using the drop weapon button (default G)", "255128000")
			PLAYERS[id].Tutorial.killm = true
		end
		addexp(id, math.floor(self.exp*CONFIG.EXPRATE))
		self:die()
	else
		parse('effect "colorsmoke" ' .. self.x .. ' ' .. self.y .. ' 10 ' .. self.scaley .. ' ' .. (self.r and (self.r .. ' ' .. self.g .. ' ' .. self.b) or '192 0 0'))
	end
	radiussound("weapons/machete_hit.wav", self.x, self.y)
	return true
end

function Monster:hit(id, dmg)
	if not PLAYERS[id].Tutorial.hitm then
		message(id, "A monster is attacking you! You can fight back by swinging your weapon at it.", "255128000")
		PLAYERS[id].Tutorial.hitm = true
	end
	if player(id, 'weapontype') == 41 and (math.abs(math.rad(player(id, 'rot')) - math.atan2(player(id, 'y')-self.y, player(id, 'x')-self.x) + math.pi/2)%(2*math.pi) <= math.pi*2/3) then
		EXPhit(id, self, -1, dmg/4)
		radiussound("weapons/ricmetal" .. math.random(1,2) .. ".wav", self.x, self.y)
	else
		EXPhit(id, self, -1, dmg)
		radiussound("weapons/knife_hit.wav", self.x, self.y)
	end
	return true
end

function Monster:die(id)
	local size = self.scalex+self.scaley
	parse('effect "colorsmoke" ' .. self.x .. ' ' .. self.y .. ' ' .. size .. ' 64 ' .. (self.r and (self.r .. ' ' .. self.g .. ' ' .. self.b) or '192 0 0'))
	local tilex, tiley = math.floor(self.x/32), math.floor(self.y/32)
	spawnitem(1337, tilex, tiley, math.floor(self.money*math.random(50, 150)/100)*CONFIG.MONEYRATE)
	for _, loot in ipairs(self.loot) do
		local chance = math.random(10000)
		if chance <= loot.chance then
			spawnitem(loot.id, tilex, tiley)
		end
	end
	radiussound("weapons/c4_explode.wav", self.x, self.y)
	self:destroy()
end

function Monster:destroy()
	freeimage(self.image)
	local found
	table.remove(MONSTERS, self.id)
	for i, m in ipairs(MONSTERS) do
		m.id = i
	end
	return true
end

function Monster:rot(rot)
	if not rot then
		return self.ang
	else
		self.ang = (self.ang+rot)%(math.pi*2)
	end
	return true
end